Bug 2214965 - Do not require initscripts / use initscripts-service instead
Summary: Do not require initscripts / use initscripts-service instead
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: zfs-fuse
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-06-14 08:56 UTC by Timothée Ravier
Modified: 2024-05-23 09:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-22 14:06:28 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Timothée Ravier 2023-06-14 08:56:01 UTC
This package should probably require initscripts-service instead of the full initscripts package.

Is there any specific reason this can not be made to work with systemd? The commit doesn't have any details: https://src.fedoraproject.org/rpms/zfs-fuse/c/8972bd8b18fc3aaf6420e58cdf4ffbb78322c15f?branch=rawhide

Reproducible: Always

Comment 1 Gwyn Ciesla 2023-06-14 15:20:32 UTC
This actually needs the initscripts package, as the zfs-fuse-helper script that allows it to work with systemd sources /etc/rc.d/init.d/functions. It's been using systemd in this way since 2012.

Comment 2 Lukáš Nykrýn 2023-06-15 07:33:32 UTC
Let's reopen this. The problem right now is that I am forced to have zfs-fuse installed if I want to use virtualization. This makes me sad because we (initscripts maintainers) spent a lot of time getting it out from the most used installations. Can't we just rewrite the starting script? I would be to help with that, although I know nothing about zfs, so I probably would not be able to verify that the changes are not breaking anything.

Comment 3 Gwyn Ciesla 2023-06-15 13:20:47 UTC
If you're interested, it's here: https://src.fedoraproject.org/rpms/zfs-fuse/blob/rawhide/f/zfs-fuse-helper

Comment 4 Matthew Miller 2023-07-24 15:56:23 UTC
(In reply to Gwyn Ciesla from comment #3)
> If you're interested, it's here:
> https://src.fedoraproject.org/rpms/zfs-fuse/blob/rawhide/f/zfs-fuse-helper

It seems like this could be re-written just as a stand-alone bash script, but -- probably better to actually properly make a systemd unit file. I'm not a ZFS user either, though, so this also isn't something I should touch.

Comment 5 Gwyn Ciesla 2023-07-24 17:22:28 UTC
It's already a bash script called by a unit file... I'm not a ZFS expert either, I just kept it working and ported it, albeit in an ugly way, to systemd.

Comment 6 Aoife Moloney 2024-05-22 14:06:28 UTC
Fedora Linux 38 entered end-of-life (EOL) status on 2024-05-21.

Fedora Linux 38 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Timothée Ravier 2024-05-23 09:04:26 UTC
We still have a dependency on initscripts in Rawhide: https://src.fedoraproject.org/rpms/zfs-fuse/blob/rawhide/f/zfs-fuse.spec#_33


Note You need to log in before you can comment on or make changes to this bug.